Subject: [nfsv4] [PATCH] IANA review: Clarify registry creation requests

From: Chuck Lever <[email-masked]>
Date: Fri, 09 Nov 2012 18:10:17 -0500

So, should both new registries "FedFS Annotation Keys" and "FedFS Object
Identifiers" be existed in one single new top-level registry?  And if
so, what should the URL address be?  What is the title of the new
registry?  To which of the existing parameters listed at
http://www.iana.org/protocols FedFS registries do belonged to?
LDAP, NFSv4, or both?

URL: http://www.iana.org/assignments/???
Top-level Registry Title: NSDB Protocol for Federated Filesystems

Please revise the text in the new version to describe the above.
---

 nsdb-proto.xml |   70 ++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 43 insertions(+), 27 deletions(-)

diff --git a/nsdb-proto.xml b/nsdb-proto.xml
index 5ef83f6..5c89563 100644
--- a/nsdb-proto.xml
+++ b/nsdb-proto.xml
@@ -2778,38 +2778,54 @@
         <section title="Registry for the fedfsAnnotation Key Namespace"
                  anchor="annotation-registry">
 
-    <t> This document defines the fedfsAnnotation key in <xref target="fedfsAnnotation"/>.
-    The fedfsAnnotation key namespace is to be managed by IANA. IANA is to create
-    and maintain a new registry entitled "FedFS Annotation Keys". Future registrations
-    are to be administered by IANA using the "First Come First Served" policy defined in
-    <xref target="RFC5226"/>. Registration requests MUST include the key (a
-    valid UTF-8 string of any length), a brief description of the key's purpose, and an
-    email contact for the registration. For viewing, the registry should be sorted
-    lexicographically by key. There are no initial assignments for this registry. </t>
+        <t> This document defines the fedfsAnnotation key in
+        <xref target="fedfsAnnotation"/>.  The fedfsAnnotation key namespace
+        is to be managed by IANA. IANA is to create and maintain a new
+        registry entitled "FedFS Annotation Keys".  The location of this
+        registry should be under a new heading called "Federated File System
+        (FedFS) Parameters".  The URL address can be based off of the new
+        heading name, for example:
+        http://www.iana.org/assignments/fedfs-parameters/ ... </t>
+
+        <t> Future registrations are to be administered by IANA using the
+        "First Come First Served" policy defined in <xref target="RFC5226"/>. 
+        Registration requests MUST include the key (a valid UTF-8 string of
+        any length), a brief description of the key's purpose, and an email
+        contact for the registration. For viewing, the registry should be
+        sorted lexicographically by key. There are no initial assignments
+        for this registry. </t>
 
         </section>
 
         <section title="Registry for FedFS Object Identifiers">
 
-    <t> Using the process described in <xref target="RFC2578"/>, one of
-    the authors was assigned the Internet Private Enterprise
-    Numbers range 1.3.6.1.4.1.31103.x. Within this range, the subrange
-    1.3.6.1.4.1.31103.1.x is permanently dedicated for use by the federated
-    file system protocols. </t>
-
-    <t> IANA is to create and maintain a new registry entitled "FedFS Object Identifiers"
-    for the purpose of administering the FedFS Object Identifier (OID) range. Future
-    allocations from the 1.3.6.1.4.1.31103.1.x range are to be assigned by IANA using
-    the "RFC Required" policy defined in <xref target="RFC5226"/>. Registration requests
-    MUST include an OID value from the 1.3.6.1.4.1.31103.1.x range, a short description of
-    the OID, and a reference to the specification that defines the OID's usage. For viewing,
-    the registry should be sorted numerically by OID value. The initial contents of the
-    FedFS Object Identifiers registry are given in <xref target="oid_registry"/>. </t>
-
-    <t> Note: A descriptor designated below as "historic" reserves an OID
-    used in a past version of the NSDB protocol.  Registering such OIDs
-    retains compatibility among existing implementations of the NSDB
-    protocol.  This document does not otherwise refer to historic OIDs. </t>
+        <t> Using the process described in <xref target="RFC2578"/>, one of
+        the authors was assigned the Internet Private Enterprise
+        Numbers range 1.3.6.1.4.1.31103.x. Within this range, the subrange
+        1.3.6.1.4.1.31103.1.x is permanently dedicated for use by the
+        federated file system protocols. </t>
+
+        <t> IANA is to create and maintain a new registry entitled "FedFS
+        Object Identifiers" for the purpose of administering the FedFS Object
+        Identifier (OID) range.  The location of this registry should be
+        under the heading "Federated File System (FedFS) Parameters",
+        created in <xref target="annotation-registry"/>.  The URL address
+        can be based off of the new heading name, for example:
+        http://www.iana.org/assignments/fedfs-parameters/ ... </t>
+
+        <t> Future allocations from the 1.3.6.1.4.1.31103.1.x range are to
+        be assigned by IANA using the "RFC Required" policy defined in
+        <xref target="RFC5226"/>. Registration requests MUST include an OID
+        value from the 1.3.6.1.4.1.31103.1.x range, a short description of
+        the OID, and a reference to the specification that defines the OID's
+        usage. For viewing, the registry should be sorted numerically by OID
+        value. The initial contents of the FedFS Object Identifiers registry
+        are given in <xref target="oid_registry"/>. </t>
+
+        <t> Note: A descriptor designated below as "historic" reserves an OID
+        used in a past version of the NSDB protocol.  Registering such OIDs
+        retains compatibility among existing implementations of the NSDB
+        protocol.  This document does not otherwise refer to historic OIDs. </t>
 
     <t><cref>
     RFC Editor: please replace RFC-TBD1 with this specification's RFC number.